org.apache.flume.source

## Class SpoolDirectorySource

- java.lang.Object
- - org.apache.flume.source.AbstractSource
  - - org.apache.flume.source.SpoolDirectorySource

- All Implemented Interfaces:
    Configurable, EventDrivenSource, LifecycleAware, NamedComponent, Source

      public class SpoolDirectorySource
      extends AbstractSource
      implements Configurable, EventDrivenSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpoolDirectorySource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `protected boolean` | `didHitChannelException()`
    `protected boolean` | `didHitChannelFullException()`
    `protected boolean` | `getRecursiveDirectorySearch()`
    `protected SourceCounter` | `getSourceCounter()`
    `protected boolean` | `hasFatalError()`
    `protected void` | `setBackOff(boolean backoff)` The class always backs off, this exists only so that we can test without taking a really long time.
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.flume.source.AbstractSource

      `getChannelProcessor, getLifecycleState, getName, setChannelProcessor, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Constructor Detail

    - #### SpoolDirectorySource

          public SpoolDirectorySource()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`
      Overrides:
        `start` in class `AbstractSource`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`
      Overrides:
        `stop` in class `AbstractSource`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractSource`

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### hasFatalError

          protected boolean hasFatalError()

    - #### setBackOff

          protected void setBackOff(boolean backoff)

      The class always backs off, this exists only so that we can test without taking a really long time.
      Parameters:
        `backoff` - - whether the source should backoff if the channel is full

    - #### didHitChannelException

          protected boolean didHitChannelException()

    - #### didHitChannelFullException

          protected boolean didHitChannelFullException()

    - #### getSourceCounter

          protected SourceCounter getSourceCounter()

    - #### getRecursiveDirectorySearch

          protected boolean getRecursiveDirectorySearch()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.